DROP PROC in_RIS_DOCUMENTO_RES_proc
GO

CREATE PROC in_RIS_DOCUMENTO_RES_proc
@MONEDA		UD_CURYID,	--EXPRESADO EN QUE MONEDA
@SITE		varCHAR(255),	-- SITES A EXAMINAR
@TODOS_MOV	TINYINT	,	--TODOS LOS MOVIMIENTOS
@TIPOMOV    	VARCHAR(255)='',	--SOLO ESTOS MOVIMIENTOS
@FECHA_INI	VARCHAR(10),
@FECHA_FIN	VARCHAR(10)
AS

DECLARE @CADENA VARCHAR(1000)	--CADENA A EJECUTAR
declare @moneda_base ud_curyid
--leer la moneda base de setup
set @moneda_base=(select curyorig from setup)

IF @MONEDA=@moneda_base	--si se ha solicitado la misma moneda base
SET @CADENA=	' select vw_in_ris_resumendoc.*,intrtotpen-intrtaxpen as tventa,intrtaxpen as igv,intrtotpen as tcompras '+
		' from vw_in_ris_resumendoc '+
		" WHERE SITEID IN ("+@SITE+") AND (INTRDATEPROCE BETWEEN '"+@FECHA_INI+"' AND '"+ @FECHA_FIN+"') "
ELSE	
SET @CADENA=	' select vw_in_ris_resumendoc.*,intrtotusd-intrtaxusd as tventa,intrtaxusd as igv,intrtotusd as tcompras '+
		' from vw_in_ris_resumendoc '+
		" WHERE SITEID IN ("+@SITE+") AND (INTRDATEPROCE BETWEEN '"+@FECHA_INI+"' AND '"+ 	@FECHA_FIN+"') "

IF @TODOS_MOV=1		--TODOS LOS MOVIMIENTOS, 
	SET 	@CADENA=@CADENA +
		' ORDER BY SITEID,TYPEDOCDESCR,INTRDATE '
ELSE			--SOLO ALGUNOS TIPOS DE MOVIMIENTOS
	SET 	@CADENA=@CADENA +
		' AND TYPEDOCID IN ('+@TIPOMOV+') ' +
		' ORDER BY SITEID,TYPEDOCDESCR,INTRDATE '
exec (@cadena)
go

exec IN_RIS_DOCUMENTO_RES_PROC 'PEN',"'00057'",0,"'102','202'",'01/01/01','12/12/02'